#ifndef TOOLSELECTOR_H_
#define TOOLSELECTOR_H_

#include "Tool.h"
#include "EditManager.h"

class ToolSelector : public Tool {
  private:
    GtkWidget *image;
    
    EditManager *editManager;
    
    // prevent shallow copy
    ToolSelector(const ToolSelector &t);
    const ToolSelector& operator=(const ToolSelector &t);
    
  public:
    ToolSelector(EditManager *editManager);
    virtual ~ToolSelector();
    
    virtual const char *getType() const {
      return "ToolSelector";
    }
    
    virtual const char *getName() const {
      return "Select";
    }
    
    bool isSensitive() {
      return TRUE;
    }
    
    virtual GtkWidget *getImage() {
      return image;
    }
};

#endif /*TOOLSELECTOR_H_*/
